<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="dsPurchase" targetNamespace="http://tempuri.org/dsPurchase.xsd" xmlns:mstns="http://tempuri.org/dsPurchase.xsd" xmlns="http://tempuri.org/dsPurchase.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="gwcs" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="gwcs (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.FPJ0000.Properties.Settings.GlobalReference.Default.gwcs" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="PurchaseTableAdapter" GeneratorDataComponentClassName="PurchaseTableAdapter" Name="Purchase" UserDataComponentName="PurchaseTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectName="GroupWare.dbo.Purchase" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [Purchase] WHERE (([idx] = @Original_idx) AND ((@IsNull_pdate = 1 AND [pdate] IS NULL) OR ([pdate] = @Original_pdate)) AND ((@IsNull_state = 1 AND [state] IS NULL) OR ([state] = @Original_state)) AND ((@IsNull_process = 1 AND [process] IS NULL) OR ([process] = @Original_process)) AND ((@IsNull_receive = 1 AND [receive] IS NULL) OR ([receive] = @Original_receive)) AND ((@IsNull_sc = 1 AND [sc] IS NULL) OR ([sc] = @Original_sc)) AND ((@IsNull_request = 1 AND [request] IS NULL) OR ([request] = @Original_request)) AND ((@IsNull_sid = 1 AND [sid] IS NULL) OR ([sid] = @Original_sid)) AND ((@IsNull_pumidx = 1 AND [pumidx] IS NULL) OR ([pumidx] = @Original_pumidx)) AND ((@IsNull_pumscale = 1 AND [pumscale] IS NULL) OR ([pumscale] = @Original_pumscale)) AND ((@IsNull_pumunit = 1 AND [pumunit] IS NULL) OR ([pumunit] = @Original_pumunit)) AND ((@IsNull_pumqty = 1 AND [pumqty] IS NULL) OR ([pumqty] = @Original_pumqty)) AND ((@IsNull_pumprice = 1 AND [pumprice] IS NULL) OR ([pumprice] = @Original_pumprice)) AND ((@IsNull_pumamt = 1 AND [pumamt] IS NULL) OR ([pumamt] = @Original_pumamt)) AND ((@IsNull_supply = 1 AND [supply] IS NULL) OR ([supply] = @Original_supply)) AND ((@IsNull_supplyidx = 1 AND [supplyidx] IS NULL) OR ([supplyidx] = @Original_supplyidx)) AND ((@IsNull_projectidx = 1 AND [projectidx] IS NULL) OR ([projectidx] = @Original_projectidx)) AND ((@IsNull_asset = 1 AND [asset] IS NULL) OR ([asset] = @Original_asset)) AND ((@IsNull_manuproc = 1 AND [manuproc] IS NULL) OR ([manuproc] = @Original_manuproc)) AND ((@IsNull_edate = 1 AND [edate] IS NULL) OR ([edate] = @Original_edate)) AND ((@IsNull_indate = 1 AND [indate] IS NULL) OR ([indate] = @Original_indate)) AND ((@IsNull_po = 1 AND [po] IS NULL) OR ([po] = @Original_po)) AND ((@IsNull_dept = 1 AND [dept] IS NULL) OR ([dept] = @Original_dept)) AND ((@IsNull_bigo = 1 AND [bigo] IS NULL) OR ([bigo] = @Original_bigo)) AND ((@IsNull_import = 1 AND [import] IS NULL) OR ([import] = @Original_import)) AND ((@IsNull_isdel = 1 AND [isdel] IS NULL) OR ([isdel] = @Original_isdel)) AND ((@IsNull_orderno = 1 AND [orderno] IS NULL) OR ([orderno] = @Original_orderno)) AND ([wuid] = @Original_wuid) AND ([wdate] = @Original_wdate))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pdate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pdate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_pdate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_state" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="state" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_state" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="state" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_process" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="process" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_process" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="process" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_receive" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="receive" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_receive" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="receive" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sc" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sc" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sc" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_request" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="request" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_request" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="request" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sid" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sid" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sid" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pumidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumidx" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_pumidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumidx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pumscale" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumscale" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_pumscale" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pumscale" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pumunit" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumunit" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_pumunit" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pumunit" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pumqty" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumqty" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_pumqty" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumqty" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pumprice" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumprice" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_pumprice" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="pumprice" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pumamt" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumamt" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_pumamt" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="pumamt" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_supply" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="supply" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_supply" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="supply" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_supplyidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="supplyidx" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_supplyidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="supplyidx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_projectidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="projectidx" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_projectidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="projectidx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_asset" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="asset" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_asset" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="asset" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_manuproc" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="manuproc" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_manuproc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="manuproc" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_edate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="edate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_edate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="edate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_indate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="indate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_indate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="indate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_po" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="po" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_po" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="po" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_dept" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="dept" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_dept" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="dept" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_bigo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="bigo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_bigo" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="bigo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_import" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="import" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_import" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="import" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_isdel" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="isdel" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_isdel" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="isdel" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_orderno" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="orderno" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_orderno" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="orderno" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [Purchase] ([pdate], [state], [process], [receive], [sc], [request], [sid], [pumname], [pumidx], [pumscale], [pumunit], [pumqty], [pumprice], [pumamt], [supply], [supplyidx], [project], [projectidx], [asset], [manuproc], [edate], [indate], [po], [dept], [bigo], [import], [isdel], [orderno], [wuid], [wdate]) VALUES (@pdate, @state, @process, @receive, @sc, @request, @sid, @pumname, @pumidx, @pumscale, @pumunit, @pumqty, @pumprice, @pumamt, @supply, @supplyidx, @project, @projectidx, @asset, @manuproc, @edate, @indate, @po, @dept, @bigo, @import, @isdel, @orderno, @wuid, @wdate);
SELECT idx, pdate, state, process, receive, sc, request, sid, pumname, pumidx, pumscale, pumunit, pumqty, pumprice, pumamt, supply, supplyidx, project, projectidx, asset, manuproc, edate, indate, po, dept, bigo, import, isdel, orderno, wuid, wdate FROM Purchase WHERE (idx = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@pdate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@state" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="state" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@process" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="process" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@receive" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="receive" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@request" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="request" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@pumname" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pumname" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@pumidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumidx" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@pumscale" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pumscale" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@pumunit" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pumunit" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@pumqty" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumqty" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@pumprice" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="pumprice" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@pumamt" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="pumamt" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@supply" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="supply" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@supplyidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="supplyidx" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@project" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="project" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@projectidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="projectidx" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@asset" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="asset" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@manuproc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="manuproc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@edate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="edate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@indate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="indate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@po" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="po" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@dept" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="dept" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@bigo" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="bigo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@import" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="import" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@isdel" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="isdel" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@orderno" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="orderno" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT  Purchase.*
FROM     Purchase</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [Purchase] SET [pdate] = @pdate, [state] = @state, [process] = @process, [receive] = @receive, [sc] = @sc, [request] = @request, [sid] = @sid, [pumname] = @pumname, [pumidx] = @pumidx, [pumscale] = @pumscale, [pumunit] = @pumunit, [pumqty] = @pumqty, [pumprice] = @pumprice, [pumamt] = @pumamt, [supply] = @supply, [supplyidx] = @supplyidx, [project] = @project, [projectidx] = @projectidx, [asset] = @asset, [manuproc] = @manuproc, [edate] = @edate, [indate] = @indate, [po] = @po, [dept] = @dept, [bigo] = @bigo, [import] = @import, [isdel] = @isdel, [orderno] = @orderno, [wuid] = @wuid, [wdate] = @wdate WHERE (([idx] = @Original_idx) AND ((@IsNull_pdate = 1 AND [pdate] IS NULL) OR ([pdate] = @Original_pdate)) AND ((@IsNull_state = 1 AND [state] IS NULL) OR ([state] = @Original_state)) AND ((@IsNull_process = 1 AND [process] IS NULL) OR ([process] = @Original_process)) AND ((@IsNull_receive = 1 AND [receive] IS NULL) OR ([receive] = @Original_receive)) AND ((@IsNull_sc = 1 AND [sc] IS NULL) OR ([sc] = @Original_sc)) AND ((@IsNull_request = 1 AND [request] IS NULL) OR ([request] = @Original_request)) AND ((@IsNull_sid = 1 AND [sid] IS NULL) OR ([sid] = @Original_sid)) AND ((@IsNull_pumidx = 1 AND [pumidx] IS NULL) OR ([pumidx] = @Original_pumidx)) AND ((@IsNull_pumscale = 1 AND [pumscale] IS NULL) OR ([pumscale] = @Original_pumscale)) AND ((@IsNull_pumunit = 1 AND [pumunit] IS NULL) OR ([pumunit] = @Original_pumunit)) AND ((@IsNull_pumqty = 1 AND [pumqty] IS NULL) OR ([pumqty] = @Original_pumqty)) AND ((@IsNull_pumprice = 1 AND [pumprice] IS NULL) OR ([pumprice] = @Original_pumprice)) AND ((@IsNull_pumamt = 1 AND [pumamt] IS NULL) OR ([pumamt] = @Original_pumamt)) AND ((@IsNull_supply = 1 AND [supply] IS NULL) OR ([supply] = @Original_supply)) AND ((@IsNull_supplyidx = 1 AND [supplyidx] IS NULL) OR ([supplyidx] = @Original_supplyidx)) AND ((@IsNull_projectidx = 1 AND [projectidx] IS NULL) OR ([projectidx] = @Original_projectidx)) AND ((@IsNull_asset = 1 AND [asset] IS NULL) OR ([asset] = @Original_asset)) AND ((@IsNull_manuproc = 1 AND [manuproc] IS NULL) OR ([manuproc] = @Original_manuproc)) AND ((@IsNull_edate = 1 AND [edate] IS NULL) OR ([edate] = @Original_edate)) AND ((@IsNull_indate = 1 AND [indate] IS NULL) OR ([indate] = @Original_indate)) AND ((@IsNull_po = 1 AND [po] IS NULL) OR ([po] = @Original_po)) AND ((@IsNull_dept = 1 AND [dept] IS NULL) OR ([dept] = @Original_dept)) AND ((@IsNull_bigo = 1 AND [bigo] IS NULL) OR ([bigo] = @Original_bigo)) AND ((@IsNull_import = 1 AND [import] IS NULL) OR ([import] = @Original_import)) AND ((@IsNull_isdel = 1 AND [isdel] IS NULL) OR ([isdel] = @Original_isdel)) AND ((@IsNull_orderno = 1 AND [orderno] IS NULL) OR ([orderno] = @Original_orderno)) AND ([wuid] = @Original_wuid) AND ([wdate] = @Original_wdate));
SELECT idx, pdate, state, process, receive, sc, request, sid, pumname, pumidx, pumscale, pumunit, pumqty, pumprice, pumamt, supply, supplyidx, project, projectidx, asset, manuproc, edate, indate, po, dept, bigo, import, isdel, orderno, wuid, wdate FROM Purchase WHERE (idx = @idx)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@pdate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@state" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="state" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@process" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="process" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@receive" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="receive" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@request" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="request" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@pumname" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pumname" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@pumidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumidx" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@pumscale" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pumscale" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@pumunit" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pumunit" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@pumqty" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumqty" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@pumprice" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="pumprice" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@pumamt" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="pumamt" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@supply" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="supply" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@supplyidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="supplyidx" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@project" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="project" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@projectidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="projectidx" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@asset" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="asset" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@manuproc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="manuproc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@edate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="edate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@indate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="indate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@po" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="po" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@dept" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="dept" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@bigo" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="bigo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@import" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="import" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@isdel" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="isdel" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@orderno" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="orderno" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pdate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pdate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_pdate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_state" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="state" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_state" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="state" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_process" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="process" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_process" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="process" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_receive" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="receive" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_receive" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="receive" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sc" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sc" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sc" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_request" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="request" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_request" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="request" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sid" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sid" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sid" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pumidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumidx" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_pumidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumidx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pumscale" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumscale" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_pumscale" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pumscale" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pumunit" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumunit" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_pumunit" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pumunit" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pumqty" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumqty" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_pumqty" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumqty" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pumprice" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumprice" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_pumprice" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="pumprice" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pumamt" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pumamt" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_pumamt" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="pumamt" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_supply" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="supply" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_supply" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="supply" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_supplyidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="supplyidx" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_supplyidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="supplyidx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_projectidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="projectidx" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_projectidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="projectidx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_asset" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="asset" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_asset" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="asset" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_manuproc" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="manuproc" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_manuproc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="manuproc" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_edate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="edate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_edate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="edate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_indate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="indate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_indate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="indate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_po" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="po" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_po" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="po" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_dept" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="dept" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_dept" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="dept" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_bigo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="bigo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_bigo" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="bigo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_import" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="import" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_import" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="import" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_isdel" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="isdel" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_isdel" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="isdel" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_orderno" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="orderno" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_orderno" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="orderno" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="idx" ColumnName="idx" DataSourceName="GroupWare.dbo.Purchase" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@idx" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idx" DataSetColumn="idx" />
              <Mapping SourceColumn="pdate" DataSetColumn="pdate" />
              <Mapping SourceColumn="state" DataSetColumn="state" />
              <Mapping SourceColumn="process" DataSetColumn="process" />
              <Mapping SourceColumn="receive" DataSetColumn="receive" />
              <Mapping SourceColumn="sc" DataSetColumn="sc" />
              <Mapping SourceColumn="request" DataSetColumn="request" />
              <Mapping SourceColumn="sid" DataSetColumn="sid" />
              <Mapping SourceColumn="pumname" DataSetColumn="pumname" />
              <Mapping SourceColumn="pumidx" DataSetColumn="pumidx" />
              <Mapping SourceColumn="pumscale" DataSetColumn="pumscale" />
              <Mapping SourceColumn="pumunit" DataSetColumn="pumunit" />
              <Mapping SourceColumn="pumqty" DataSetColumn="pumqty" />
              <Mapping SourceColumn="pumprice" DataSetColumn="pumprice" />
              <Mapping SourceColumn="pumamt" DataSetColumn="pumamt" />
              <Mapping SourceColumn="supply" DataSetColumn="supply" />
              <Mapping SourceColumn="supplyidx" DataSetColumn="supplyidx" />
              <Mapping SourceColumn="project" DataSetColumn="project" />
              <Mapping SourceColumn="projectidx" DataSetColumn="projectidx" />
              <Mapping SourceColumn="asset" DataSetColumn="asset" />
              <Mapping SourceColumn="manuproc" DataSetColumn="manuproc" />
              <Mapping SourceColumn="edate" DataSetColumn="edate" />
              <Mapping SourceColumn="indate" DataSetColumn="indate" />
              <Mapping SourceColumn="po" DataSetColumn="po" />
              <Mapping SourceColumn="dept" DataSetColumn="dept" />
              <Mapping SourceColumn="bigo" DataSetColumn="bigo" />
              <Mapping SourceColumn="import" DataSetColumn="import" />
              <Mapping SourceColumn="isdel" DataSetColumn="isdel" />
              <Mapping SourceColumn="orderno" DataSetColumn="orderno" />
              <Mapping SourceColumn="wuid" DataSetColumn="wuid" />
              <Mapping SourceColumn="wdate" DataSetColumn="wdate" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="dsPurchase" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="dsPurchase" msprop:Generator_UserDSName="dsPurchase">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Purchase" msprop:Generator_TableClassName="PurchaseDataTable" msprop:Generator_TableVarName="tablePurchase" msprop:Generator_TablePropName="Purchase" msprop:Generator_RowDeletingName="PurchaseRowDeleting" msprop:Generator_RowChangingName="PurchaseRowChanging" msprop:Generator_RowEvHandlerName="PurchaseRowChangeEventHandler" msprop:Generator_RowDeletedName="PurchaseRowDeleted" msprop:Generator_UserTableName="Purchase" msprop:Generator_RowChangedName="PurchaseRowChanged" msprop:Generator_RowEvArgName="PurchaseRowChangeEvent" msprop:Generator_RowClassName="PurchaseRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idx" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnidx" msprop:Generator_ColumnPropNameInRow="idx" msprop:Generator_ColumnPropNameInTable="idxColumn" msprop:Generator_UserColumnName="idx" type="xs:int" />
              <xs:element name="pdate" msprop:Generator_ColumnVarNameInTable="columnpdate" msprop:Generator_ColumnPropNameInRow="pdate" msprop:Generator_ColumnPropNameInTable="pdateColumn" msprop:Generator_UserColumnName="pdate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="state" msprop:Generator_ColumnVarNameInTable="columnstate" msprop:Generator_ColumnPropNameInRow="state" msprop:Generator_ColumnPropNameInTable="stateColumn" msprop:Generator_UserColumnName="state" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="process" msprop:Generator_ColumnVarNameInTable="columnprocess" msprop:Generator_ColumnPropNameInRow="process" msprop:Generator_ColumnPropNameInTable="processColumn" msprop:Generator_UserColumnName="process" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="receive" msprop:Generator_ColumnVarNameInTable="columnreceive" msprop:Generator_ColumnPropNameInRow="receive" msprop:Generator_ColumnPropNameInTable="receiveColumn" msprop:Generator_UserColumnName="receive" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sc" msprop:Generator_ColumnVarNameInTable="columnsc" msprop:Generator_ColumnPropNameInRow="sc" msprop:Generator_ColumnPropNameInTable="scColumn" msprop:Generator_UserColumnName="sc" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="request" msprop:Generator_ColumnVarNameInTable="columnrequest" msprop:Generator_ColumnPropNameInRow="request" msprop:Generator_ColumnPropNameInTable="requestColumn" msprop:Generator_UserColumnName="request" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sid" msprop:Generator_ColumnVarNameInTable="columnsid" msprop:Generator_ColumnPropNameInRow="sid" msprop:Generator_ColumnPropNameInTable="sidColumn" msprop:Generator_UserColumnName="sid" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="pumname" msprop:Generator_ColumnVarNameInTable="columnpumname" msprop:Generator_ColumnPropNameInRow="pumname" msprop:Generator_ColumnPropNameInTable="pumnameColumn" msprop:Generator_UserColumnName="pumname" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="pumidx" msprop:Generator_ColumnVarNameInTable="columnpumidx" msprop:Generator_ColumnPropNameInRow="pumidx" msprop:Generator_ColumnPropNameInTable="pumidxColumn" msprop:Generator_UserColumnName="pumidx" type="xs:int" minOccurs="0" />
              <xs:element name="pumscale" msprop:Generator_ColumnVarNameInTable="columnpumscale" msprop:Generator_ColumnPropNameInRow="pumscale" msprop:Generator_ColumnPropNameInTable="pumscaleColumn" msprop:Generator_UserColumnName="pumscale" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="pumunit" msprop:Generator_ColumnVarNameInTable="columnpumunit" msprop:Generator_ColumnPropNameInRow="pumunit" msprop:Generator_ColumnPropNameInTable="pumunitColumn" msprop:Generator_UserColumnName="pumunit" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="pumqty" msprop:Generator_ColumnVarNameInTable="columnpumqty" msprop:Generator_ColumnPropNameInRow="pumqty" msprop:Generator_ColumnPropNameInTable="pumqtyColumn" msprop:Generator_UserColumnName="pumqty" type="xs:int" minOccurs="0" />
              <xs:element name="pumprice" msprop:Generator_ColumnVarNameInTable="columnpumprice" msprop:Generator_ColumnPropNameInRow="pumprice" msprop:Generator_ColumnPropNameInTable="pumpriceColumn" msprop:Generator_UserColumnName="pumprice" type="xs:decimal" minOccurs="0" />
              <xs:element name="pumamt" msprop:Generator_ColumnVarNameInTable="columnpumamt" msprop:Generator_ColumnPropNameInRow="pumamt" msprop:Generator_ColumnPropNameInTable="pumamtColumn" msprop:Generator_UserColumnName="pumamt" type="xs:decimal" minOccurs="0" />
              <xs:element name="supply" msprop:Generator_ColumnVarNameInTable="columnsupply" msprop:Generator_ColumnPropNameInRow="supply" msprop:Generator_ColumnPropNameInTable="supplyColumn" msprop:Generator_UserColumnName="supply" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="supplyidx" msprop:Generator_ColumnVarNameInTable="columnsupplyidx" msprop:Generator_ColumnPropNameInRow="supplyidx" msprop:Generator_ColumnPropNameInTable="supplyidxColumn" msprop:Generator_UserColumnName="supplyidx" type="xs:int" minOccurs="0" />
              <xs:element name="project" msprop:Generator_ColumnVarNameInTable="columnproject" msprop:Generator_ColumnPropNameInRow="project" msprop:Generator_ColumnPropNameInTable="projectColumn" msprop:Generator_UserColumnName="project" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="projectidx" msprop:Generator_ColumnVarNameInTable="columnprojectidx" msprop:Generator_ColumnPropNameInRow="projectidx" msprop:Generator_ColumnPropNameInTable="projectidxColumn" msprop:Generator_UserColumnName="projectidx" type="xs:int" minOccurs="0" />
              <xs:element name="asset" msprop:Generator_ColumnVarNameInTable="columnasset" msprop:Generator_ColumnPropNameInRow="asset" msprop:Generator_ColumnPropNameInTable="assetColumn" msprop:Generator_UserColumnName="asset" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="manuproc" msprop:Generator_ColumnVarNameInTable="columnmanuproc" msprop:Generator_ColumnPropNameInRow="manuproc" msprop:Generator_ColumnPropNameInTable="manuprocColumn" msprop:Generator_UserColumnName="manuproc" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="edate" msprop:Generator_ColumnVarNameInTable="columnedate" msprop:Generator_ColumnPropNameInRow="edate" msprop:Generator_ColumnPropNameInTable="edateColumn" msprop:Generator_UserColumnName="edate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="indate" msprop:Generator_ColumnVarNameInTable="columnindate" msprop:Generator_ColumnPropNameInRow="indate" msprop:Generator_ColumnPropNameInTable="indateColumn" msprop:Generator_UserColumnName="indate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="po" msprop:Generator_ColumnVarNameInTable="columnpo" msprop:Generator_ColumnPropNameInRow="po" msprop:Generator_ColumnPropNameInTable="poColumn" msprop:Generator_UserColumnName="po" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="dept" msprop:Generator_ColumnVarNameInTable="columndept" msprop:Generator_ColumnPropNameInRow="dept" msprop:Generator_ColumnPropNameInTable="deptColumn" msprop:Generator_UserColumnName="dept" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="500" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="bigo" msprop:Generator_ColumnVarNameInTable="columnbigo" msprop:Generator_ColumnPropNameInRow="bigo" msprop:Generator_ColumnPropNameInTable="bigoColumn" msprop:Generator_UserColumnName="bigo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="500" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="import" msprop:Generator_ColumnVarNameInTable="columnimport" msprop:Generator_ColumnPropNameInRow="import" msprop:Generator_ColumnPropNameInTable="importColumn" msprop:Generator_UserColumnName="import" type="xs:boolean" minOccurs="0" />
              <xs:element name="isdel" msprop:Generator_ColumnVarNameInTable="columnisdel" msprop:Generator_ColumnPropNameInRow="isdel" msprop:Generator_ColumnPropNameInTable="isdelColumn" msprop:Generator_UserColumnName="isdel" type="xs:boolean" minOccurs="0" />
              <xs:element name="orderno" msprop:Generator_ColumnVarNameInTable="columnorderno" msprop:Generator_ColumnPropNameInRow="orderno" msprop:Generator_ColumnPropNameInTable="ordernoColumn" msprop:Generator_UserColumnName="orderno" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="wuid" msprop:Generator_ColumnVarNameInTable="columnwuid" msprop:Generator_ColumnPropNameInRow="wuid" msprop:Generator_ColumnPropNameInTable="wuidColumn" msprop:Generator_UserColumnName="wuid">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="wdate" msprop:Generator_ColumnVarNameInTable="columnwdate" msprop:Generator_ColumnPropNameInRow="wdate" msprop:Generator_ColumnPropNameInTable="wdateColumn" msprop:Generator_UserColumnName="wdate" type="xs:dateTime" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Purchase" />
      <xs:field xpath="mstns:idx" />
    </xs:unique>
  </xs:element>
</xs:schema>